//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2008)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: xyY.hpp
//      Краткое описание: color space - xyY
//

#ifndef DSE_MATH_XYY_HPP
#define DSE_MATH_XYY_HPP

#include <Darkstar/Math/vect.hpp>
#include <Darkstar/Math/XYZ.hpp>

namespace math
{
	class xyY
	{
	public:
		union
		{
			struct
			{
				float x, y, Y;
			};
			struct
			{
				Vect3 vec;
			};
		};

		xyY();
		xyY(const float x, const float y, const float Y);
		xyY(const xyY& color);
		xyY(const Vect3& vec);
		~xyY();

		XYZ convertToXYZ();
	};
};

#include <Darkstar/Math/xyY.inl>

#endif


		